API reference › Broadcast and dispatch › Rate based broadcasts
Retrieve paginated rate based broadcasts with optional filters
GET /v1/rate-based-broadcasts
- Scope
settings_broadcast_dispatch:read- Roles
- admin, scheduler
Fetch a paginated list of rate based broadcasts. Allows filtering by name, search, and sorting. Supports multi-tenancy via X-TENANT-ID header.
Parameters
Query parameters
| Name | Type | Description |
|---|---|---|
search | string | Global search term across selected columns Example |
columns | string | Comma-separated list of columns to search (e.g., name) Example |
Name | string | Search by name or ID Example |
sortBy | string | Field to sort by Example |
sortOrder | string | Sorting order (asc or desc) One of: |
perPage | integer | Number of items per page Example |
Every call also sends Authorization and X-Tenant-ID; see Getting started.
Example request
curl "https://api.fetchfido.ai/v1/rate-based-broadcasts" \
-H "Authorization: Bearer $FIDO_API_KEY" \
-H "X-Tenant-ID: $FIDO_TENANT_ID"Try it
Responses
200 Rate based broadcasts retrieved successfully
Rate based broadcasts retrieved successfully.
{
"success": true,
"data": [
{
"id": 1,
"rate": 0,
"cycleInterval": 1,
"cycleIntervalUnit": "minutes"
}
],
"meta": {
"currentPage": 1,
"lastPage": 3,
"perPage": 10,
"total": 30
}
}Response fields (11)
| Field | Type | Description |
|---|---|---|
success | boolean | Example |
data | array of object | |
data[].id | integer | Example |
data[].rate | number | Example |
data[].cycleInterval | integer or null | Example |
data[].cycleIntervalUnit | string or null | Example |
meta | object | |
meta.currentPage | integer | Example |
meta.lastPage | integer | Example |
meta.perPage | integer | Example |
meta.total | integer | Example |
400 Bad request
Invalid argument provided.
{
"success": false,
"message": "Failed to retrieve."
}Response fields (2)
| Field | Type | Description |
|---|---|---|
success | boolean | Example |
message | string | Example |
401 Not signed in
Missing, invalid or expired API key.
{
"success": false,
"message": "Invalid API key. Org and user tier keys must send an X-Tenant-ID header naming the organization the key was issued for.",
"errors": null,
"code": "API_KEY_MISSING"
}Response fields (4)
| Field | Type | Description |
|---|---|---|
success | boolean | Example |
message | string | Example |
errors | any or null | Null on this status. |
code | string | Machine-readable reason, for branching on in client code. One of: |
403 Not allowed
Scope, tenant, IP allow-list or RBAC check failed.
{
"success": false,
"message": "You don't have permission to access this endpoint. This API key is missing the 'settings_broadcast_dispatch:read' scope.",
"errors": null,
"code": ""
}Response fields (4)
| Field | Type | Description |
|---|---|---|
success | boolean | Example |
message | string | Example |
errors | any or null | Null on this status. |
code | string | Always empty on this status. Example |
429 Too many requests
Rate limit exceeded. See Retry-After.
{
"success": false,
"message": "You've exceeded this API key's rate limit of 120 requests per minute. Try again in 37 seconds.",
"errors": null,
"code": "RATE_LIMITED"
}Response fields (4)
| Field | Type | Description |
|---|---|---|
success | boolean | Example |
message | string | Example |
errors | any or null | Null on this status. |
code | string | Machine-readable reason, for branching on in client code. One of: |
500 Server error
Internal server error.
{
"success": false,
"message": "Something went wrong!"
}Response fields (2)
| Field | Type | Description |
|---|---|---|
success | boolean | Example |
message | string | Example |